import { __extends, __assign, __decorate } from 'tslib';
import { Component } from 'vue-property-decorator';
import { getStyles } from './MessageBarButton.styles.js';
import BaseComponent from '../../BaseComponent.js';
import { DefaultButton } from '../DefaultButton/DefaultButton.js';
import { BaseButton } from '../BaseButton.js';

var MessageBarButton = function(_super) {
  __extends(MessageBarButton2, _super);
  function MessageBarButton2() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  Object.defineProperty(MessageBarButton2.prototype, "internalStyles", {
    get: function() {
      return getStyles(this.theme, this.styles);
    },
    enumerable: false,
    configurable: true
  });
  MessageBarButton2.prototype.render = function(h) {
    var internalStyles = this.internalStyles;
    return h(BaseButton, {
      attrs: __assign(__assign(__assign({}, this.$props), this.$attrs), { styles: internalStyles }),
      on: this.$listeners,
      scopedSlots: this.$scopedSlots
    });
  };
  MessageBarButton2 = __decorate([
    Component({
      components: { DefaultButton: DefaultButton }
    })
  ], MessageBarButton2);
  return MessageBarButton2;
}(BaseComponent);

export { MessageBarButton };
